/* http://meyerweb.com/eric/tools/css/reset/
   v2.0 | 20110126
   License: none (public domain)
*/

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	height: 100%;
	line-height: 1;
	background-color: #FFFEF8;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}
/** end reset css**/
body {
	max-width: 1140px;
	margin:auto;
	font-family: 'Work Sans' ;
	font-size: 14px;
}
header {
	display: flex;
	justify-content: space-between;
	margin: 50px 0
}
section {
	margin: 50px 0
}

h1{
	display: flex;
	flex-direction: column;
	font-family: 'Syne';
	font-size: 22px;
	font-weight: 800;
	color: #B1663C
}

h1 > span {
	font-family: 'Work Sans';
	font-size:10px;
	letter-spacing: 0.1em;
}

h2{
	font-family: 'Syne';
	font-weight: 700;
	font-size: 30px;
	color: #1D6154
}
nav ul {
	display: flex;
	align-items: center;
	list-style-type: none;

}
nav li {
	padding: 0 10px;
	font-size: 1.2em;
}

nav li a {
	text-decoration: none;
	color: #000;
}

nav li img {
	height: 20px;
	cursor: pointer;
}

li a:hover {
	color: black;
    font-weight: bold;
	cursor: pointer;
}

.navLink.active{
    color: black;
    font-weight: bold;
}

#introduction {
	display: flex;
	align-items: center;
}
#introduction figure {
	flex: 1
}
#introduction img {
	display: block;
	margin: auto;
	width: 80%;
}

#introduction article {
	flex: 1
}
#introduction h2 {
	margin-bottom: 1em;
}

#introduction p {
	margin-bottom: 0.5em;
}
/* #portfolio h2 {
	text-align: center;
	margin-bottom: 1em;
} */





/* BOUTONS FILTRAGE */
.btn-filtrage{
	display: flex;
	justify-content: center;
	align-items: center;
	gap: 10px;
	margin-top: 30px;
}

.btnFiltre{
	font-family: 'Syne';
	font-weight: 700;
	font-size: 16px;
	color: #1D6154;
	background-color: white;
	border: 1px solid #1D6154;
	border-radius: 60px;
	padding: 10px;
	min-width: 100px;
	text-align: center;
}

.btnFiltre:hover{
	color: #fff;
	background-color: #1D6154;
	cursor: pointer;
}

.btnFiltre.active{
	color: #fff;
	background-color: #1D6154;
}







.gallery {
	margin-top: 30px;
	width: 100%;
	display: grid;
	grid-template-columns: 1fr 1fr 1fr;
	grid-column-gap: 20px;
	grid-row-gap: 20px;
}

.gallery img {
	width: 100%;
	height: 100%;
	object-fit: cover;
}
#contact {
	width: 50%;
	margin: auto;
}
#contact > *{
	text-align: center;
}

#contact h2{
	margin-bottom: 20px;
}
#contact form {
	text-align: left;
	margin-top:30px;
	display: flex;
	flex-direction: column;
}

#contact input{
	height: 50px;
	font-size: 1.2em;
	border: none;
	box-shadow: 0px 4px 14px rgba(0, 0, 0, 0.09);
}
#contact label{
	margin: 2em 0 1em 0;
}
#contact textarea{
	border: none;
	box-shadow: 0px 4px 14px rgba(0, 0, 0, 0.09);
}

input[type="submit"]{
	font-family: 'Syne';
	font-weight: 700;
	color: white;
	background-color: #1D6154;
	margin : 2em auto ;
	width: 180px;
	text-align: center;
	border-radius: 60px ;
	cursor: pointer;
}

input[type="submit"]:hover{
	background-color: #0E2F28;
}

#login{
	text-align: center;
	color: #3D3D3D;
	cursor: pointer;
}

footer nav ul {
	display: flex;
	justify-content: flex-end;
	margin: 2em;	
}
.main-login{
	flex: 1;
}


/* PAGE LOGIN */

#titreLogin{
	text-decoration: none;
}

.navLinkLogin {
	font-weight: bold;
}

.main-login {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  min-height: 30vh;
  padding: 40px 20px;
  position: relative;
}

#login h2 {
  font-size: px;
  margin-bottom: 20px;
}

#login form {
  display: flex;
  flex-direction: column;
}

#login label {
  text-align: left;	
  margin-bottom: 10px;
  font-weight: 600;
}

#login input[type="email"],
#login input[type="password"] {
  padding: 12px;
  font-size: 16px;
  border: 1px solid #ccc;
  border-radius: 6px;
  box-shadow: 0px 2px 4px rgba(0,0,0,0.05);
  background-color: white;
  width: 379px;
}

#login input[type="email"]{
  margin-bottom: 20px;	
}

#login input[type="submit"] {
  background-color: #1D6154;
  width: 200px;
  color: white;
  padding: 14px;
  font-size: 16px;
  border: none;
  border-radius: 30px;
  cursor: pointer;
  transition: background-color 0.2s ease-in-out;
}

#login input[type="submit"]:hover {
  background-color: #0E2F28;
}

.mdpOublie {
  display: block;
  text-align: right;
  margin-top: 10px;
  font-size: 14px;
  color: #1D6154;
  text-decoration: none;
  text-align: center;
}

.mdpOublie:hover {
  text-decoration: underline;
}

#mentionsLegalesLogin{
	position: absolute;
	bottom: 30px;
	right:30px;
  cursor: pointer;
}




/* Bouton Modale Modifier  */

.projetBoutonModifier{
	display: flex;
	align-items: center;
	justify-content: center;
	cursor: pointer;
}

.projetBoutonModifier:hover{
	color: #666363;	
}

.boutonModifier i, .boutonModifier p {
	display: inline;
}

.boutonModifier{
	display: flex;
	flex-direction: row; 
	align-items: center;
	margin-left: 15px;
	gap: 6px;
}

/* MODALE SUPPRESSION TRAVAUX */

#modalTravaux {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.8); /* fond assombri */
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1000; /* assure qu’elle passe devant */
}

#titreModalTravaux{
	display: flex;
	justify-content: center;
	margin-bottom: 50px;
	font-size: 32px;
	font-weight: 500;
}

.closeModalTravaux {
  position: absolute;
  right: 20px;
  top: 20px;
  font-size: 40px;
  cursor: pointer;
}

.closeModalTravaux:hover{
	color: rgba(0, 0, 0, 0.498);
}

#textFooterModal{
	position: absolute;
	bottom: 10px;
	right: 50px;
	cursor: pointer;
}


#modalTravaux .modal-content {
  background-color: #FFFEF8;
  position: relative;
  margin: auto;
  margin-top: 3vh;
  padding: 30px 20px;
  width: 60%;
  max-width: 90vh;
  max-height: 90vh;
  overflow-y: auto;
  border-radius: 8px;
  box-shadow: 0 0 10px rgba(0,0,0,0.2);
}

#adminGallery {
  display: grid;
  grid-template-columns: repeat(5,150px);
  gap: 10px;
  justify-content: center;
}

#adminGallery figure {
  width: 100%;
  height: auto;
  aspect-ratio: 1 / 1.2; /* facultatif mais utile pour garder la forme */
  position: relative;
}

#adminGallery img {
  width: 100% ;
  height: 100% ;
  object-fit: cover;
  border-radius: 4px;
  display: block;
  margin: auto;
}

.delete-icon {
  position: absolute;
  top: 5px;
  right: 5px;
  font-size: 16px;
  color: white;
  background-color: black;
  border-radius: 30%;
  padding: 5px;
  cursor: pointer;
  z-index: 2;
}

.delete-icon:hover{
  background-color: rgb(89, 87, 87);

}

#separationLine{
	margin: auto;
	width: 90%;
    border-top: 2px solid rgba(97, 95, 95, 0.382);
	margin: 50px auto;
}

.addPhotoBtn {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 10px 20px;
  background-color: #1D6154;
  color: white;
  border-radius: 60px;
  font-weight: 500;
  cursor: pointer;
  width: 30%;
  height: 36px;
  font-size: 20px;
  margin: auto;
  transition: background-color 0.2s ease-in-out;
}

.addPhotoBtn:hover {
  background-color: #0E2F28;
}




/* MODALE AJOUT TRAVAUX */

.modalAjoutTravaux {
  display: none; /* visible via JS */
  position: fixed;
  z-index: 2000;
  left: 0;
  top: 0;
  width: 100%;
  height: 100vh;
  overflow-y: auto;
  background-color: rgba(0, 0, 0, 0.8); /* fond sombre */
}

.modalAjoutTravaux-content {
  background-color: #FFFEF8;
  margin: auto;
  margin-top: 3vh;
  padding: 30px 20px;
  width: 50%;
  max-width: 60vh;
  max-height: 70vh;
  overflow-y: auto;
  border-radius: 8px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
  position: relative;
}

/* Titre de la modale */
#titreModalAjoutTravaux {
  text-align: center;
  font-size: 24px;
  margin-bottom: 30px;
  color: #000000;
}

/* Bouton de fermeture */
.closeModalAjoutTravaux {
  position: absolute;
  right: 20px;
  top: 20px;
  font-size: 40px;
  color: #333;
  cursor: pointer;
}

.closeModalAjoutTravaux:hover{
	color: rgba(0, 0, 0, 0.498);
}

/* Preview image */
#imagePreviewContainer {
  background-color: #E8F1F6;
  width: 85%; /* taille fixe */
  height: 280px; /* fixe ou max-height */
  border: 1px solid rgba(0, 0, 0, 0);
  display: flex; /* pour centrer */
  justify-content: center;
  align-items: center;
  flex-direction: column;
  margin: 0 auto 20px auto;
  position: relative;
  border-radius: 10px;
  overflow: hidden; /* cache les débordements */
}

#imagePreview {
  width: 100%;
  height: 100%;
  object-fit: contain;
  border-radius: 8px;
  display: none;
}

.reset-image {
  position: absolute;
  bottom: 20px;
  right: 20px;
  font-size: 20px;
  /* background-color: white; */
  color: rgb(102, 100, 100);
  border-radius: 50%;
  padding: 4px;
  cursor: pointer;
  display: none; /* caché par défaut */
  z-index: 2;
}

.reset-image:hover {
	color: #3d3b3b;
}

/* Logo Picture */
#logoImage{
	display: flex;
	justify-content: center;
	color: rgba(128, 128, 128, 0.341);
	font-size: 100px;
	margin: 20px 0 10px 0;
}

/* Texte bouton ajout photo */
#textAjoutPhoto{
	display: flex;
	justify-content: center;
	margin-bottom: 40px;
	color: #444444;
}

/* Bouton Ajouter une photo */
.addPhotoBtnAjoutTravaux {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 10px 20px;
  background-color: #CBD6DC;
  color: white;
  border-radius: 60px;
  font-weight: 500;
  cursor: pointer;
  width: 30%;
  height: 36px;
  font-size: 20px;
  margin: auto;
}

.addPhotoBtnAjoutTravaux input[type="file"] {
  opacity: 0;
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  cursor: pointer;
}

.addPhotoBtnAjoutTravaux label {
  padding: 10px 25px;
  background-color: #CBD6DC;
  color: #306685;
  border-radius: 60px;
  font-size: 16px;
  font-weight: 600;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.addPhotoBtnAjoutTravaux label:hover {
  background-color: #0E2F28;
}

/* Formulaire titre + catégorie */
#formAjoutTravail {
  display: flex;
  flex-direction: column;
  gap: 15px;
  margin-top: 10px;
  padding: 0 80px;
}

#formAjoutTravail label {
  font-weight: 600;
  color: #3D3D3D;
}

#formAjoutTravail input[type="text"],
#formAjoutTravail select {
  height: 60px;
  padding: 0 10px;
  font-size: 14px;
  border: 1px solid #ccc;
  border-radius: 5px;
}

/* Bouton valider */
#formAjoutTravail input[type="submit"] {
  text-align: center;       /* centre le texte */
  display: inline-block;    /* ou block si besoin */
  padding: 20px 40px;       /* espace intérieur */
  margin: 20px auto;        /* centre le bouton lui-même */
  background-color: #1D6154;
  color: white;
  border: none;
  border-radius: 30px;
  font-weight: 500;
  font-size: 20px;
  cursor: pointer;
}

#formAjoutTravail input[type="submit"]:hover {
  background-color: #0E2F28;
}

.LeftArrowModalAjoutTravaux{
	cursor: pointer;
}


.LeftArrowModalAjoutTravaux:hover{
	color: rgba(0, 0, 0, 0.498);
}

#formAjoutTravail #separationLine{
	width: 100%;
}